Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface OpCallbacks

All Known Implementing Classes:
  EntityManagerImpl

    public interface OpCallbacks

Allows facades to control the particulars of persistence operations through callbacks.

Author:
  Abe White

Field Summary
`static int` | `ACT_CASCADE`
`static int` | `ACT_NONE`
`static int` | `ACT_RUN`
`static int` | `OP_ATTACH`
`static int` | `OP_DELETE`
`static int` | `OP_DETACH`
`static int` | `OP_EVICT`
`static int` | `OP_LOCK`
`static int` | `OP_NONTRANSACTIONAL`
`static int` | `OP_PERSIST`
`static int` | `OP_REFRESH`
`static int` | `OP_RELEASE`
`static int` | `OP_RETRIEVE`
`static int` | `OP_TRANSACTIONAL`

Method Summary
`int` | `processArgument(int op, Object arg, OpenJPAStateManager sm)` Process operation argument.

Field Detail

### OP_PERSIST

    static final int OP_PERSIST

See Also:
  Constant Field Values

### OP_DELETE

    static final int OP_DELETE

See Also:
  Constant Field Values

### OP_REFRESH

    static final int OP_REFRESH

See Also:
  Constant Field Values

### OP_RETRIEVE

    static final int OP_RETRIEVE

See Also:
  Constant Field Values

### OP_RELEASE

    static final int OP_RELEASE

See Also:
  Constant Field Values

### OP_EVICT

    static final int OP_EVICT

See Also:
  Constant Field Values

### OP_ATTACH

    static final int OP_ATTACH

See Also:
  Constant Field Values

### OP_DETACH

    static final int OP_DETACH

See Also:
  Constant Field Values

### OP_NONTRANSACTIONAL

    static final int OP_NONTRANSACTIONAL

See Also:
  Constant Field Values

### OP_TRANSACTIONAL

    static final int OP_TRANSACTIONAL

See Also:
  Constant Field Values

### OP_LOCK

    static final int OP_LOCK

See Also:
  Constant Field Values

### ACT_NONE

    static final int ACT_NONE

See Also:
  Constant Field Values

### ACT_CASCADE

    static final int ACT_CASCADE

See Also:
  Constant Field Values

### ACT_RUN

    static final int ACT_RUN

See Also:
  Constant Field Values

Method Detail

### processArgument

    int processArgument(int op,
                        Object arg,
                        OpenJPAStateManager sm)

  Process operation argument. Throw proper `OpenJPAException` for illegal value.

  Parameters:
    `op` - the operation constant
    `arg` - the object passed to the operation
    `sm` - the argument's state manager, or null if none
  Returns:
    the action to take on the argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.